Bug 23458 - Clean up holds template in the staff client
Summary: Clean up holds template in the staff client
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 17057
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-13 16:59 UTC by Owen Leonard
Modified: 2019-09-05 15:02 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23458: Clean up holds template in the staff client (79.63 KB, patch)
2019-08-15 15:49 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23458: (follow-up) Add comments to markup (14.81 KB, patch)
2019-08-15 15:49 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23458: Clean up holds template in the staff client (79.68 KB, patch)
2019-08-16 18:45 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 23458: (follow-up) Add comments to markup (14.86 KB, patch)
2019-08-16 18:46 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 23458: Clean up holds template in the staff client (79.75 KB, patch)
2019-08-17 06:05 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23458: (follow-up) Add comments to markup (14.92 KB, patch)
2019-08-17 06:05 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-08-13 16:59:52 UTC
I would like to reindent reserve/request.tt: Remove tabs, correct indentation, add some comments to clarify the structure.
Comment 1 Owen Leonard 2019-08-15 15:49:15 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2019-08-15 15:49:17 UTC Comment hidden (obsolete)
Comment 3 Maryse Simard 2019-08-16 18:45:56 UTC Comment hidden (obsolete)
Comment 4 Maryse Simard 2019-08-16 18:46:02 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2019-08-17 06:05:08 UTC
Created attachment 92331 [details] [review]
Bug 23458: Clean up holds template in the staff client

This patch reindents reserve/request.tt to use four spaces and
to eliminate tabs, following coding guidelines. Trailing white space has
been removed.

To test, apply the patch and use your preferred method for checking the
differences between files while ignoring whitespace. I use diff with the
"-w" flag, but I'm no diffctator.

Test the process of placing a hold in the staff client: A single hold,
multiple holds, etc. Everything should work correctly.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2019-08-17 06:05:11 UTC
Created attachment 92332 [details] [review]
Bug 23458: (follow-up) Add comments to markup

This patch adds a few comments to the markup in order to highlight the
structure of the page.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Martin Renvoize 2019-08-19 09:25:25 UTC
Nice work!

Pushed to master for 19.11.00
Comment 8 Fridolin SOMERS 2019-09-05 15:02:04 UTC
Enhancement not pushed to 19.05.x